import FreeCAD


# UUIDsPy.xml
class UUIDs(FreeCAD.BaseClass):
    """Material model UUID identifiers."""

    def __init__(self):
        """Material model UUID identifiers."""

    @property
    def AdvancedRendering(self) -> str:
        """UUID for model System:Rendering/AdvancedRendering"""

    @property
    def Architectural(self) -> str:
        """UUID for model System:Architectural/Architectural"""

    @property
    def ArchitecturalRendering(self) -> str:
        """UUID for model System:Architectural/ArchitecturalRendering"""

    @property
    def BasicRendering(self) -> str:
        """UUID for model System:Rendering/BasicRendering"""

    @property
    def Costs(self) -> str:
        """UUID for model System:Costs/Costs"""

    @property
    def Density(self) -> str:
        """UUID for model System:Mechanical/Density"""

    @property
    def Electromagnetic(self) -> str:
        """UUID for model System:Electromagnetic/Electromagnetic"""

    @property
    def Father(self) -> str:
        """UUID for model System:Legacy/Father"""

    @property
    def Fluid(self) -> str:
        """UUID for model System:Fluid/Fluid"""

    @property
    def IsotropicLinearElastic(self) -> str:
        """UUID for model System:Mechanical/IsotropicLinearElastic"""

    @property
    def LinearElastic(self) -> str:
        """UUID for model System:Mechanical/LinearElastic"""

    @property
    def MaterialStandard(self) -> str:
        """UUID for model System:Legacy/MaterialStandard"""

    @property
    def OgdenYld2004p18(self) -> str:
        """UUID for model System:Mechanical/OgdenYld2004p18"""

    @property
    def OrthotropicLinearElastic(self) -> str:
        """UUID for model System:Mechanical/OrthotropicLinearElastic"""

    @property
    def RenderAppleseed(self) -> str:
        """UUID for model System:Rendering/RenderAppleseed"""

    @property
    def RenderCarpaint(self) -> str:
        """UUID for model System:Rendering/RenderCarpaint"""

    @property
    def RenderCycles(self) -> str:
        """UUID for model System:Rendering/RenderCycles"""

    @property
    def RenderDiffuse(self) -> str:
        """UUID for model System:Rendering/RenderDiffuse"""

    @property
    def RenderDisney(self) -> str:
        """UUID for model System:Rendering/RenderDisney"""

    @property
    def RenderEmission(self) -> str:
        """UUID for model System:Rendering/RenderEmission"""

    @property
    def RenderGlass(self) -> str:
        """UUID for model System:Rendering/RenderGlass"""

    @property
    def RenderLuxcore(self) -> str:
        """UUID for model System:Rendering/RenderLuxcore"""

    @property
    def RenderLuxrender(self) -> str:
        """UUID for model System:Rendering/RenderLuxrender"""

    @property
    def RenderMixed(self) -> str:
        """UUID for model System:Rendering/RenderMixed"""

    @property
    def RenderOspray(self) -> str:
        """UUID for model System:Rendering/RenderOspray"""

    @property
    def RenderPbrt(self) -> str:
        """UUID for model System:Rendering/RenderPbrt"""

    @property
    def RenderPovray(self) -> str:
        """UUID for model System:Rendering/RenderPovray"""

    @property
    def RenderSubstancePBR(self) -> str:
        """UUID for model System:Rendering/RenderSubstancePBR"""

    @property
    def RenderTexture(self) -> str:
        """UUID for model System:Rendering/RenderTexture"""

    @property
    def RenderWB(self) -> str:
        """UUID for model System:Rendering/RenderWB"""

    @property
    def TestModel(self) -> str:
        """UUID for model System:Test/Test Model"""

    @property
    def TextureRendering(self) -> str:
        """UUID for model System:Rendering/TextureRendering"""

    @property
    def Thermal(self) -> str:
        """UUID for model System:Thermal/Thermal"""

    @property
    def VectorRendering(self) -> str:
        """UUID for model System:Rendering/VectorRendering"""
